Bug 181408 - [PATCH] multimedia/smplayer update to 0.8.6
Summary: [PATCH] multimedia/smplayer update to 0.8.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dennis Herrmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-19 22:10 UTC by Pawel Pekala
Modified: 2013-10-05 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.63 KB, patch)
2013-08-19 22:10 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2013-08-19 22:10:00 UTC
- Update to version 0.8.6
- Fix build on CURRENT and parallel build

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-08-19 22:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 O. Hartmann 2013-09-20 19:05:47 UTC
This patch helps installing/updating multimedia/smplayer on FreeBSD
10.0-CURRENT. It is BROKEN otherwise!
Comment 3 dfilter service freebsd_committer 2013-10-05 13:06:47 UTC
Author: pawel
Date: Sat Oct  5 12:06:39 2013
New Revision: 329446
URL: http://svnweb.freebsd.org/changeset/ports/329446

Log:
  - Update to version 0.8.6
  - Fix build on current
  - Allow parallel builds
  
  Changelog:
  
  - SMPlayer can now update its internal Youtube code so it's not necessary to
    update smplayer everytime Youtube makes a change.
  - A section "Updates" has been added to the preferences dialog, where it's
    possible to configure or disable the update checker.
  - SMPlayer could still fail to find some subtitles from opensubtitles.org.
    Hopefully this is fixed.
  - Several other bugfixes.
  
  PR:		ports/181408
  Submitted by:	myself
  Approved by:	maintainer timeout

Modified:
  head/multimedia/smplayer/Makefile   (contents, props changed)
  head/multimedia/smplayer/distinfo   (contents, props changed)

Modified: head/multimedia/smplayer/Makefile
==============================================================================
--- head/multimedia/smplayer/Makefile	Sat Oct  5 11:58:52 2013	(r329445)
+++ head/multimedia/smplayer/Makefile	Sat Oct  5 12:06:39 2013	(r329446)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	smplayer
-DISTVERSION=	0.8.5
+DISTVERSION=	0.8.6
 CATEGORIES=	multimedia audio kde
 MASTER_SITES=	SF/${PORTNAME}/SMPlayer/${PORTVERSION}
 
@@ -12,12 +12,11 @@ COMMENT=	Complete front-end based on Qt4
 RUN_DEPENDS=	mplayer:${PORTSDIR}/multimedia/mplayer \
 		${LOCALBASE}/share/smplayer/themes:${PORTSDIR}/multimedia/smplayer-themes
 
-USE_QT4=	gui network xml qmake_build moc_build rcc_build uic_build \
+USE_QT4=	gui network script xml qmake_build moc_build rcc_build uic_build \
 		uic3_build porting_build linguist_build
 
 ALL_TARGET=	src/smplayer
 
-MAKE_JOBS_UNSAFE=	yes
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 INSTALLS_ICONS=	yes
@@ -36,6 +35,7 @@ post-patch:
 		-e 's|lrelease|${QT_PREFIX}/bin/lrelease-qt4|g' \
 		-e 's|PREFIX=/usr/local|PREFIX=${PREFIX}|g' \
 		-e 's,/share/man,/man,g' \
+		-e 's, make, ${GMAKE},g' \
 		${WRKSRC}/Makefile
 
 post-install:

Modified: head/multimedia/smplayer/distinfo
==============================================================================
--- head/multimedia/smplayer/distinfo	Sat Oct  5 11:58:52 2013	(r329445)
+++ head/multimedia/smplayer/distinfo	Sat Oct  5 12:06:39 2013	(r329446)
@@ -1,2 +1,2 @@
-SHA256 (smplayer-0.8.5.tar.bz2) = 3c772738bbd4da2f5ff0e28408dab57dbf3fcdebc9d58097da45b0f2b0da6e6d
-SIZE (smplayer-0.8.5.tar.bz2) = 3343452
+SHA256 (smplayer-0.8.6.tar.bz2) = e091339977fbd0de5a04b782295326977fe4bb644bef8e5f252c5f249348e0dc
+SIZE (smplayer-0.8.6.tar.bz2) = 3336444
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Pawel Pekala freebsd_committer 2013-10-05 13:07:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!